Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class FormSubmitCompleteEvent

    java.lang.Object
      java.util.EventObject
          com.google.gwt.user.client.ui.FormSubmitCompleteEvent

All Implemented Interfaces:
  java.io.Serializable

    public class FormSubmitCompleteEvent

extends java.util.EventObject

Event object containing information about form submission events.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`FormSubmitCompleteEvent(FormPanel source, java.lang.String resultHtml)` Creates a new event with information about the source and submit results.

Method Summary
`java.lang.String` | `getResults()` Gets the result text of the form submission.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FormSubmitCompleteEvent

    public FormSubmitCompleteEvent(FormPanel source,
                                   java.lang.String resultHtml)

  Creates a new event with information about the source and submit results.

  Parameters:
    `source` - the object sending the event
    `resultHtml` - the result html returned by the server

Method Detail

### getResults

    public java.lang.String getResults()

  Gets the result text of the form submission.

  Returns:
    the result html, or `null` if there was an error reading it
  Tip:
    The result html can be `null` as a result of submitting a form to a different domain.

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD